# DefaultTask

API Documentation: | `DefaultTask`

Known Subtypes: |
`DependencyInsightReportTask` | `JDepend` | `AbstractNativeCompileTask`
`ComponentReport` | `PublishToIvyRepository` | `Assemble`
`ModelReport` | `AbstractPublishToMaven` | `WindowsResourceCompile`
`CompareGradleBuilds` | `InitBuild` | `AbstractLinkTask`
`GenerateIvyDescriptor` | `Sign` | `CreateStaticLibrary`
`GenerateMavenPom` | `SonarRunner` | `InstallExecutable`
`GenerateBuildDashboard` | `TestReport` |
`JacocoBase` | `Wrapper` |

`DefaultTask` is the standard `Task` implementation. You can extend this to implement your own task types.

### Properties

No properties

### Methods

No methods

### Script blocks

No script blocks